<!-- Hoverable rows -->
<div class="row">
    <!-- w-400 = width: 40rem (400px), mw-full = max-width: 100% -->
    <div class="col-md-10 mx-auto">
        <br>
        <nav aria-label="">
            <ul class="pagination">
                <!-- Disabled page item -->
                <li class="page-item">
                    <button class="btn" (click)="prevPage()">Prev.</button> <!-- w-50 = width: 5rem (50px) -->
                </li>
                <!-- Active page item -->
                <li class="page-item">
                    <button class="btn btn-primary ml-5" (click)="nextPage()" [disabled]="(productService.products | filtroProduct:page:search).length === 0">Next</button> <!-- w-50 = width: 5rem (50px) -->
                </li>
            </ul>
        </nav>
        <div class="container-fluid">
            <div class="row justify-content-between">

                <div class="col-4 input-group">
                    <div class="input-group-prepend dropdown">
                        <select class="form-control" #Select (change)="consoleLog(Select.value)">
                            <option *ngFor="let opt of criteria" [value]="opt.value">{{ opt.option }}</option>
                        </select>
                    </div>
                    <input type="text" class="form-control" placeholder="&#xF002; Search" style="font-family:Arial, FontAwesome" #textSearch (keyup)="onSearchProduct(textSearch.value)">
                </div>
                <div class="col-auto-4 align-self-end">

                  <a class="hyperlink btn btn-primary" (click)="openModalRegister('modal-3')" ><i class="fab fa-product-hunt"></i>  Nuevo Producto</a>
              </div>
            </div>
        </div>

        <table class="table table-hover">
            <thead>
                <tr>

                    <th>Nombres</th>
                    <th style="width:320px">Abstract</th>
                    <th>Imagen</th>
                    <th class="d-none">Tag</th>
                    <th>Valor Nutricional</th>
                    <th>Estado</th>
                    <th class="text-right">Opciones</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let us of productService.products | filtroProduct:page:search:selectedOption">

                    <td>{{us.name}}</td>
                    <td style="width:320px">{{us.abstract}}</td>
                    <td><img style="width:200px" src="{{serviceImage}}{{us.image}}" /> </td>
                    <td  class="d-none">{{us.tags}}</td>
                    <td>
                      <div *ngIf="us.nutritional">
                        <p *ngFor="let item of stringToArray(us.nutritional); let in=index">{{item?.name}} - {{item?.value}}</p>
                      </div>
                      <div *ngIf="!us.nutritional">
                        <p>No se encuentra</p>
                      </div>
                    </td>
                    <td>{{(us.status==1)?'Activo':'No Activo'}}</td>

                    <td class="text-right">
                        <div class="container-fluid">
                            <div class="row justify-content-end">
                                <div class="col-4"><a class="hyperlink" (click)="openModal('modal-2',us)" ><i class="fa fa-edit"></i></a> </div>
                                <div class="col-4"><a class="hyperlink" (click)="deleteProduct(us.id)" ><i class="fas fa-trash-alt"></i></a></div>
                            </div>
                        </div>
                    </td>
                </tr>

            </tbody>
        </table>
    </div>
</div>

<div class="sticky-alerts"></div>

<!-- Edit modal -->
<div class="modal" id="modal-2" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <!--<button (click)="closeModal('modal-2')" class="btn close" role="button" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>-->
            <h5 class="modal-title">Detalle del producto</h5>
            <form #productForm="ngForm" (ngSubmit)="registerOrEdit(productForm)"  enctype="multipart/form-data"  >
                <!-- 1 row -->
                <input type="hidden" name="id" #id = "ngModel" [(ngModel)]="productService.selectedProduct.id">
                <div class="form-row row-eq-spacing-sm">
                  <div class="col-sm">
                    <label for="first-name" class="required">Nombre</label>
                    <input type="text" class="form-control" id="name" name="name" #name = "ngModel" placeholder="Ingrese los nombres" [(ngModel)]="productService.selectedProduct.name" required>
                  </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Resumen</label>
                        <input type="text" class="form-control" id="abstract" name="abstract" #abstract = "ngModel" placeholder="Ingrese un resumen" [(ngModel)]="productService.selectedProduct.abstract" required>
                    </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Descripción</label>
                        <input type="text" class="form-control" id="description" name="description" #description = "ngModel" placeholder="Ingrese la descripción" [(ngModel)]="productService.selectedProduct.description" required>
                    </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Tag</label>
                        <input type="text" class="form-control" id="type" name="type" #description = "ngModel" placeholder="Ingrese el tag" [(ngModel)]="productService.selectedProduct.type" required>
                    </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Imagen</label>
                        <input type="file" accept="image/*" class="form-control"  (input)="fileChoosen($event)" id="file" name="file" #file = "ngModel" observeFiles  placeholder="Ingrese una imagen" (change)="onFileChange($event)" [(ngModel)]="productService.selectedProduct.file" required>
                    </div>
                </div>
                <p>Valores nutricionales</p>

                  <div *ngFor="let item of productService.selectedProduct.nutritional; let in=index" class="form-row row-eq-spacing-sm">
                    <div class=" col-sm">
                      <label for="first-name" class="required">Nombre del valor Nutricional #{{in+1}}</label>
                        <input type="text" placeholder="Nombre del valor Nutricional" [(ngModel)]="productService.selectedProduct.nutritional[in].name"
                        name="nutritional[{{in}}][name]" class="form-control" #name="ngModel" required />
                        <label for="first-name" class="required">Valor Nutricional  #{{in+1}}</label>
                        <input type="number" placeholder="Valor Nutricional" [(ngModel)]="productService.selectedProduct.nutritional[in].value"
                        name="nutritional[{{in}}][value]" class="form-control" #value="ngModel" required />
                      <br />
                  </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                  <div class="col-sm  text-center">
                    <div class="btn-group" role="group" >
                      <input class="btn btn-success"value="Adicionar valor" (click)="addEditNutritional()">
                    </div>
                  </div>
                </div>

                <div class="btn-group" role="group" aria-label="Another button group">
                    <input class="btn btn-primary" type="submit" value="Enviar">
                    <button class="btn" type="button" (click)="closeModal('modal-2')">Salir</button>
                    <!--clearForm(userForm)-->
                </div>

              </form>

        </div>
    </div>
</div>

<!-- Registro modal -->
<div class="modal" id="modal-3" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
           <!--
<button (click)="closeModal('modal-3')" class="btn close" role="button" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
           -->
            <h5 class="modal-title">Detalle del producto</h5>
            <form #productForm1="ngForm" enctype="multipart/form-data"  (ngSubmit)="register(productForm1)">
                <!-- 1 row -->

                <div class="form-row row-eq-spacing-sm">
                  <div class="col-sm">
                    <label for="first-name" class="required">Nombre</label>
                    <input type="name" class="form-control" id="name" name="name" placeholder="Ingrese el nombre del producto"
                    #name = "ngModel" [(ngModel)]="productService.newProduct.name" required>
                  </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Resumen</label>
                        <input type="text" class="form-control" id="abstract" name="abstract" #abstract = "ngModel" placeholder="Ingrese un resumen" [(ngModel)]="productService.selectedProduct.abstract" required>
                    </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Descripción</label>
                        <input type="text" class="form-control" id="description" name="description" #description = "ngModel" placeholder="Ingrese la descripción" [(ngModel)]="productService.selectedProduct.description" required>
                    </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Tag</label>
                        <input type="text" class="form-control" id="type" name="type" #description = "ngModel" placeholder="Ingrese el tag" [(ngModel)]="productService.selectedProduct.type" required>
                    </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                    <div class="col-sm">
                        <label for="first-name" class="required">Imagen</label>
                        <input type="file" accept="image/*" class="form-control" id="file" (input)="fileChoosen($event)" name="file" #file = "ngModel" observeFiles  placeholder="Ingrese una imagen"
                         (change)="onFileChange($event)" [(ngModel)]="productService.selectedProduct.file" required>
                    </div>
                </div>
                <p>Valores nutricionales</p>
                <div *ngFor="let item of productService.newProduct.nutritional; let in=index" class="form-row row-eq-spacing-sm">
                  <div class=" col-sm">
                      <label for="first-name" class="required">Nombre del valor Nutricional  #{{in+1}}</label>
                      <input type="text" placeholder="Nombre del valor Nutricional" [(ngModel)]="productService.newProduct.nutritional[in].name"
                        name="nutritional[{{in}}][name]" class="form-control" #name="ngModel" required />
                        <label for="first-name" class="required">Valor Nutricional  #{{in+1}}</label>
                        <input type="number" placeholder="Valor Nutricional" [(ngModel)]="productService.newProduct.nutritional[in].value"
                        name="nutritional[{{in}}][value]" class="form-control" #value="ngModel" required />
                      <br />
                  </div>
                </div>
                <div class="form-row row-eq-spacing-sm">
                  <div class="col-sm  text-center">
                    <div class="btn-group" role="group" >
                      <input class="btn btn-success"value="Adicionar valor" (click)="addNutritional()">
                    </div>
                  </div>
                </div>

                <div class="btn-group" role="group" aria-label="Another button group">
                    <input class="btn btn-primary" type="submit" value="Enviar">
                    <button class="btn" type="button" (click)="closeModal('modal-3')">Salir</button>
                </div>

              </form>

        </div>
    </div>
</div>

